Skip to main content
GET
Get an intent

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Path Parameters

intentId
string
required

Intent ID (e.g., int_...)

Response

Intent details

id
string
required

Unique intent ID

cardId
string
required

Associated card ID

purpose
string
required

Description of intended spend

status
enum<string>
required

Intent status

Available options:
pending_approval,
pending,
matched,
mismatched,
expired,
rejected,
canceled
intentId
string | null

Client-provided intent ID for idempotency

expectedAmount
number | null

Expected transaction amount in cents

expectedCurrency
string | null
expectedMerchant
string | null
expectedMccs
string[] | null

Expected merchant category codes

toleranceAmount
number | null

Allowed amount tolerance in cents

tolerancePercent
number | null

Allowed amount tolerance as percentage

expiresAt
number | null

Intent expiration timestamp (ms)

createdAt
string<date-time> | null
updatedAt
string<date-time> | null
approvedAt
string<date-time> | null
rejectedAt
string<date-time> | null
rejectionReason
string | null
canceledAt
string<date-time> | null
matchedAt
string<date-time> | null
mismatchedAt
string<date-time> | null